Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.task
Class Parameter

    java.lang.Object
      org.apache.ddlutils.task.Parameter

Direct Known Subclasses:
  TableSpecificParameter

    public class Parameter

extends Object

Specifies a parameter for the creation of the database. These are usually platform specific. A parameter consists of a name-value pair and an optional list of platforms for which the parameter shall be used.

Version:
  $Revision: 231306 $

Constructor Summary
`Parameter()`

Method Summary
`String` | `getName()` Returns the name.
`String` | `getValue()` Returns the value.
`boolean` | `isForPlatform(String platformName)` Determines whether this parameter is applicable for the indicated platform.
`void` | `setName(String name)` Specifies the name of the parameter.
`void` | `setPlatforms(String platforms)` Specifies the platforms - a comma-separated list of platform names - for which this parameter shall be used (see the `databaseType` attribute of the tasks for possible values).
`void` | `setValue(String value)` Specifies the parameter value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parameter

    public Parameter()

Method Detail

### getName

    public String getName()

  Returns the name.

  Returns:
    The name

### setName

    public void setName(String name)

  Specifies the name of the parameter. See the database support documentation for details on the parameters supported by the individual platforms.

  Parameters:
    `name` - The name

### getValue

    public String getValue()

  Returns the value.

  Returns:
    The value

### setValue

    public void setValue(String value)

  Specifies the parameter value.

  Parameters:
    `value` - The value

### setPlatforms

    public void setPlatforms(String platforms)

  Specifies the platforms - a comma-separated list of platform names - for which this parameter shall be used (see the `databaseType` attribute of the tasks for possible values). For every platform not in this list, the parameter is ignored.

  Parameters:
    `platforms` - The platforms

### isForPlatform

    public boolean isForPlatform(String platformName)

  Determines whether this parameter is applicable for the indicated platform.

  Parameters:
    `platformName` - The platform name
  Returns:
    `true` if this parameter is defined for the platform

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.